package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class CourseListDto {

    @ApiModelProperty(value = "乐团、vip课编号",required = true)
    private String musicGroupId;

    @ApiModelProperty(value = "学生姓名",required = true)
    private List<String> studentNames;

    @ApiModelProperty(value = "乐团、vip课名称",required = true)
    private String musicGroupName;

    @ApiModelProperty(value = "授课地址",required = true)
    private String address;

    @ApiModelProperty(value = "总课次",required = true)
    private Integer totalClassTimes;

    @ApiModelProperty(value = "当前课次",required = true)
    private Integer currentClassTimes;

    @ApiModelProperty(value = "教师姓名",required = true)
    private String teacherName;

    @ApiModelProperty(value = "上课模式",required = true)
    private String teachMode;

    @ApiModelProperty(value = "单节课时",required = true)
    private Integer singleClassMinutes;

    public Integer getSingleClassMinutes() {
        return singleClassMinutes;
    }

    public void setSingleClassMinutes(Integer singleClassMinutes) {
        this.singleClassMinutes = singleClassMinutes;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public List<String> getStudentNames() {
        return studentNames;
    }

    public void setStudentNames(List<String> studentNames) {
        this.studentNames = studentNames;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(String teachMode) {
        this.teachMode = teachMode;
    }
}
